.quizpage-container {
    background-color: #fff;
    overflow: auto;
}
.quizpage-container .contents-wrap {
    height: fit-content;
}
.quizpage-container .quiz-section {
    position: relative;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

.quizpage-container .quiz-section .contents-wrap {
    display: block;
    width: 100%;
    height: 100;
    padding: 58px 0 88px;
}
.quizpage-container .quiz-section .contents-wrap .wrapper {
    padding: 28px 16px;
}
.quizpage-container .quiz-section .contents-wrap .wrapper .question-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 28px;
    margin-bottom: 40px;
}
.quizpage-container .quiz-section .contents-wrap .wrapper .question-wrap span {
    font-size: 16px;
    border-radius: 100px;
    background-color: #FFF0E4;
    color: #FA8E49;
    padding: 10px 15px;
}
.quizpage-container .quiz-section .contents-wrap .wrapper .question-wrap h1 {
    font-size: 24px;
    text-align: center;
    color: #373737;

}
.quizpage-container .quiz-section .contents-wrap .wrapper .answer-wrap {
    display: flex;
    gap: 7px;
    min-height: 217px;
}
.quizpage-container .quiz-section .contents-wrap .wrapper .answer-wrap .auswer-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: calc(50% - 3.5px);
    aspect-ratio: 168 / 217;
    min-height: 217px;
    border-radius: 10px;
    border: 1px solid rgba(194, 194, 194, 0.4);
    background-color: rgba(255, 255, 255, 0.3);
}
.quizpage-container .quiz-section .contents-wrap .wrapper .answer-wrap .auswer-btn.active {
    border: 1px solid #FA8E49;
    background-color: #FFF8F3;
}

.quizpage-container .quiz-section .contents-wrap .wrapper .answer-wrap .auswer-btn .icon.o_icon {
    width: 96px;
    height: 96px;
}
.quizpage-container .quiz-section .contents-wrap .wrapper .answer-wrap .auswer-btn .icon.x_icon {
    width: 85px;
    height: 85px;
}
.quizpage-container .quiz-section .contents-wrap .wrapper .answer-wrap .auswer-btn .icon img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}
.quizpage-container .quiz-section .contents-wrap .wrapper .answer-wrap .auswer-btn.active .icon img.on_icon {
    display: block;
}
.quizpage-container .quiz-section .contents-wrap .wrapper .answer-wrap .auswer-btn.active .icon img.default_icon {
    display: none;
}
.quizpage-container .quiz-section .contents-wrap .wrapper .answer-wrap .auswer-btn .icon img.on_icon {
    display: none;
}




.quizpage-container .quiz-result-section {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}
.quizpage-container .quiz-result-section .contents-wrap {
    height: fit-content;
    padding-bottom: 88px;
}
.quizpage-container .quiz-result-section.correct .contents-wrap {
    padding-bottom: 0;
}
.quizpage-container .quiz-result-section .contents-wrap .wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 34px;
}
.quizpage-container .quiz-result-section .contents-wrap .icon-box {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 92px;
    height: 92px;
    border-radius: 100%;
}
.quizpage-container .quiz-result-section .contents-wrap .icon-box.correct-icon {
    background-color: #FA8E49;
    box-shadow: inset 0 -2px 4px rgba(130, 49, 11, 0.25);
}
.quizpage-container .quiz-result-section .contents-wrap .icon-box.incorrect-icon {
    background-color: #747474;
    box-shadow: inset 0 -2px 4px rgba(36, 36, 36, 0.25);
}

.quiz-result-section.correct .icon-box.correct-icon svg path {
    /* Use the CSS variable for path length */
    stroke-dasharray: 60;
    stroke-dashoffset: 0; /* Start completely hidden */
    stroke-width: 7; /* Make the stroke visible */
    stroke-linecap: round; /* Round ends for a smoother drawing effect */
    stroke-linejoin: round; /* Round joins */
    stroke: #fff; /* Green color for the stroke */
    fill: none; /* Ensure the path is not filled initially */
    animation: draw-and-fill-check 0.7s  forwards; /* Combined animation for drawing and filling */
}

.quiz-result-section .icon-box.incorrect-icon svg  {
    opacity: 0; /* Start hidden */
    transform: translateY(100%) scale(0.5); /* Start small */
    fill: #fff;
    transform-origin: center bottom;
    animation: bounce-in-exclamation 0.7s ease-out forwards;
}


@keyframes draw-and-fill-check {
    from {
        stroke-dashoffset: 60;
      }
      to {
        stroke-dashoffset: 0;
      }
}

@keyframes bounce-in-exclamation {
    0% {
        opacity: 0;
        transform: translateY(100%) scale(0.5); /* Start off-screen bottom, small */
    }
    40% {
        opacity: 1;
        transform: translateY(-10%) scale(1.1); /* Bounce up higher, slightly larger */
    }
    70% {
        transform: translateY(10%) scale(0.9); /* Drop slightly below final, smaller */
    }
    100% {
        opacity: 1;
        transform: translateY(0) scale(1); /* Settle at final position and size */
    }
}


.quizpage-container .quiz-result-section .contents-wrap .result-message {
    font-size: 24px;
    text-align: center;
    color: #F98033;
    opacity: 0;
    transform: translateY(-20%);
    animation: slide-down-fade 0.5s ease-out 0.5s forwards;
  
}


@keyframes slide-down-fade {
    0% {
      opacity: 0;
      transform: translateY(20%);
    }
    100% {
      opacity: 1;
      transform: translateY(0);
    }
  }
.quizpage-container .quiz-result-section .contents-wrap .result-message.incorrect {
    color: #747474;
}

.quizpage-container .quiz-result-section  .bottom-wrap button {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 4px;
    width: 100%;
    height: 48px;
    border-radius: 10px;
    background-color: var(--orange03);
}
.quizpage-container .quiz-result-section  .bottom-wrap button span {
    font-size: 18px;
    color: #fff;
}
.quizpage-container .quiz-result-section  .bottom-wrap button .icon {
    width: 22px;
    height: 22px;
}
.quizpage-container .quiz-result-section  .bottom-wrap button .icon img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: block;
}

.quizpage-container .quiz-answer-section {
    background-color: #FFEADB;
    height: 100%;
}

.quizpage-container .quiz-answer-section .contents-wrap {
    padding: 48px 0 0 0;
    background-color: #FFEADB;
}
.quizpage-container .quiz-answer-section .contents-wrap .wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
    padding: 28px 16px 0 16px;
}
.quizpage-container .quiz-answer-section .contents-wrap .wrapper .answer-box {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 96px;
    width: 100%;
    padding: 60px 0;
    background-color: #fff;
    border-radius: 10px;
}
.quizpage-container .quiz-answer-section .contents-wrap .wrapper .answer-box .answer-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.quizpage-container .quiz-answer-section .contents-wrap .wrapper .answer-box .answer-wrap span {
    font-size: 24px;
    text-align: center;
    color: #FA8E49;
    margin-bottom: 50px ;
}
.quizpage-container .quiz-answer-section .contents-wrap .wrapper .answer-box .answer-wrap .icon {
    margin-bottom: 36px;
}
.quizpage-container .quiz-answer-section .contents-wrap .wrapper .answer-box .answer-wrap .icon.o_icon {
    width: 100px;
    height: 100px;
}
.quizpage-container .quiz-answer-section .contents-wrap .wrapper .answer-box .answer-wrap .icon.x_icon {
    width: 95px;
    height: 95px;
}
.quizpage-container .quiz-answer-section .contents-wrap .wrapper .answer-box .answer-wrap .icon img {
    width: 100%;
    height: 100%;
    object-fit: contain;
    display: block;
}
.quizpage-container .quiz-answer-section .contents-wrap .wrapper .answer-box .answer-wrap p {
    font-size: 18px;
    color: #373737;
    text-align: center;
}
.quizpage-container .quiz-answer-section .contents-wrap .wrapper .answer-box .next-btn {
    font-size: 18px;
    width: 142px;
    height: 44px;
    border-radius: 10px;
    color: #FA8E49;
    background-color: #FFF0E4;
}

.quizpage-container .quiz-complete-section {
    height: 100%;
    background-image: linear-gradient(to bottom, #FFEADB, #fff);
}
.quizpage-container .quiz-complete-section .contents-wrap {
    padding: 48px 0 88px 0;
}
.quizpage-container .quiz-complete-section .contents-wrap .wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 50px;
    padding: 40px 0;
}
.quizpage-container .quiz-complete-section .contents-wrap .wrapper .info-text-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}
.quizpage-container .quiz-complete-section .contents-wrap .wrapper .info-text-wrap span {
    font-size: 26px;
    color: #373737;
    text-align: center;
}
.quizpage-container .quiz-complete-section .contents-wrap .wrapper .info-text-wrap p {
    font-size: 18px;
    text-align: center;
    color: #494949;
}

.complete-icon-wrap svg path {
    opacity: 0;
    transform-origin: center center;
}
.complete-icon-wrap  svg path:nth-child(1) {
    opacity: 0;
    transform: scale(0.5);
    animation: appearStar 0.5s forwards ease-out;
    animation-delay: 0.2s; /* 별이 나타나는 지연 시간 */
}

@keyframes appearStar {
    to {
        opacity: 1;
        transform: scale(1);
    }
}

@keyframes instantAppear {
    to {
        opacity: 1;
    }
}

.icon-wrap svg path:nth-child(6) { /* Top line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 0.8s;
}
.icon-wrap svg path:nth-child(7) { /* Top-right line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 0.9s;
}
.icon-wrap svg path:nth-child(16) { /* Shorter top-right line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 1.0s;
}
.icon-wrap svg path:nth-child(8) { /* Right line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 1.1s;
}
.icon-wrap svg path:nth-child(15) { /* Shorter mid-right line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 1.2s;
}
.icon-wrap svg path:nth-child(9) { /* Bottom-right line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 1.3s;
}
.icon-wrap svg path:nth-child(14) { /* Shorter bottom-right line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 1.4s;
}
.icon-wrap svg path:nth-child(2) { /* Bottom line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 1.5s;
}
.icon-wrap svg path:nth-child(13) { /* Shorter bottom-middle line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 1.6s;
}
.icon-wrap svg path:nth-child(3) { /* Bottom-left line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 1.7s;
}
.icon-wrap svg path:nth-child(12) { /* Shorter bottom-left line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 1.8s;
}
.icon-wrap svg path:nth-child(4) { /* Left line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 1.9s;
}
.icon-wrap svg path:nth-child(11) { /* Shorter mid-left line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 2.0s;
}
.icon-wrap svg path:nth-child(5) { /* Top-left line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 2.1s;
}
.icon-wrap svg path:nth-child(10) { /* Shorter top-left line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 2.2s;
}
.icon-wrap svg path:nth-child(17) { /* Shorter top-middle line */
    animation: instantAppear 0.3s forwards ease-out;
    animation-delay: 2.3s;
}

.quizpage-container .input-section {
    height: 100%;
}
.quizpage-container .input-section .contents-wrap {
    padding: 58px 0 88px 0;
}
.quizpage-container .input-section .contents-wrap .wrapper {
    padding: 0 50px;
}
.quizpage-container .input-section .contents-wrap .wrapper .title-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
    margin-bottom: 30px;
}
.quizpage-container .input-section .contents-wrap .wrapper .title-wrap h1 {
    font-size: 26px;
    line-height: 1.4;
    text-align: center;
    color: #373737;
}
.quizpage-container .input-section .contents-wrap .wrapper .input-wrap {
    margin-bottom: 50px;
}
.quizpage-container .input-section .contents-wrap .wrapper .input-wrap ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
    width: 100%;
}
.quizpage-container .input-section .contents-wrap .wrapper .input-wrap ul li {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    width: 100%;
}
.quizpage-container .input-section .contents-wrap .wrapper .input-wrap ul li span {
    font-size: 16px;
    color: #494949;
    text-align: center;
}
.quizpage-container .input-section .contents-wrap .wrapper .input-wrap ul li input {
    outline: none;
    font-size: 16px;
    width: 100%;
    height: 48px;
    border-radius: 10px;
    padding: 0 20px;
    color: #494949;
    border: 1px solid #f5f5f5;
}
.quizpage-container .input-section .contents-wrap .wrapper .input-wrap ul li input:focus {
    border: 1px solid #FA8E49;
}
.quizpage-container .input-section .contents-wrap .wrapper .privacy-consent-wrap {
    padding-bottom: 40px;
}
.quizpage-container .input-section .contents-wrap .wrapper .privacy-consent-wrap span {
    font-size: 15px;
    color: #656565;
}
.quizpage-container .input-section .contents-wrap .wrapper .privacy-consent-wrap p {
    font-size: 13px;
    color: #656565;
}


.quizpage-container .input-submit-section {
    height: 100%;
    background-image: linear-gradient(to bottom, #FFEADB, #fff);
}
.quizpage-container .input-submit-section .contents-wrap {
    padding: 0 0 88px 0;
}
.quizpage-container .input-submit-section .contents-wrap .wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 68px;
    padding: 42px 0;
}
.quizpage-container .input-submit-section .contents-wrap .wrapper .icon-box {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 92px;
    height: 92px;
    border-radius: 100%;
    background-color: #FA8E49;
    box-shadow: inset 0 -2px 4px rgba(130, 49, 11, 0.25);
}
.quizpage-container .input-submit-section .contents-wrap .wrapper .text-wrap {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 20px;
}
.quizpage-container .input-submit-section .contents-wrap .wrapper .text-wrap span {
    font-size: 26px;
    text-align: center;
    color: #373737;
}
.quizpage-container .input-submit-section .contents-wrap .wrapper .text-wrap p {
    font-size: 18px;
    text-align: center;
    color: #494949;
}

@media all and (max-width: 600px) {
    .quizpage-container .input-section .contents-wrap .wrapper {
        padding: 0 16px;
    }
}

